summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--package/corosync/Makefile20
-rw-r--r--package/corosync/patches/patch-Makefile_in11
-rw-r--r--package/corosync/patches/patch-common_lib_Makefile_in16
-rw-r--r--package/corosync/patches/patch-include_corosync_coroipc_ipc_h11
-rw-r--r--package/corosync/patches/patch-tools_corosync-keygen_c26
-rw-r--r--package/gettext/patches/patch-gettext-runtime_gnulib-lib_stdio_in_h10
-rw-r--r--package/gettext/patches/patch-gettext-tools_gnulib-lib_stdio_in_h10
-rw-r--r--package/gettext/patches/patch-gettext-tools_libgettextpo_stdio_in_h10
-rw-r--r--package/libqb/Makefile25
-rw-r--r--package/nss/Makefile8
-rw-r--r--package/nss/files/nss.pc11
-rw-r--r--package/pacemaker/Makefile8
-rw-r--r--package/pacemaker/patches/patch-configure16
-rw-r--r--package/pacemaker/patches/patch-mcp_pacemaker_h10
-rw-r--r--package/pam/patches/patch-modules_pam_succeed_if_pam_succeed_if_c4
-rw-r--r--package/pam/patches/patch-modules_pam_time_pam_time_c4
-rw-r--r--package/pam/patches/patch-modules_pam_timestamp_hmacfile14
-rw-r--r--package/pam/patches/patch-modules_pam_unix_pam_unix_acct_c10
-rw-r--r--toolchain/glibc-ports/Makefile.inc4
-rw-r--r--toolchain/glibc-ports/patches/mips.patch28
20 files changed, 151 insertions, 105 deletions
diff --git a/package/corosync/Makefile b/package/corosync/Makefile
index eb5ae8197..25d0edccf 100644
--- a/package/corosync/Makefile
+++ b/package/corosync/Makefile
@@ -4,14 +4,15 @@
include $(TOPDIR)/rules.mk
PKG_NAME:= corosync
-PKG_VERSION:= 1.4.1
+PKG_VERSION:= 2.0.1
PKG_RELEASE:= 1
-PKG_MD5SUM:= 66231146af210637393748add091021d
+PKG_MD5SUM:= 9e23f3f5594676455ff39ff363658155
PKG_DESCR:= Cluster Engine
PKG_SECTION:= ha
-PKG_DEPENDS:= cluster-glue
+PKG_BUILDDEP:= libqb nss
+PKG_DEPENDS:= cluster-glue libqb nss
PKG_URL:= http://www.corosync.org/
-PKG_SITES:= ftp://ftp:downloads@ftp.corosync.org/downloads/corosync-1.4.1/
+PKG_SITES:= ftp://ftp:downloads@corosync.org/downloads/corosync-2.0.1/
PKG_CFLINE_COROSYNC:= select ADK_KERNEL_IP_MULTICAST
@@ -19,7 +20,10 @@ include $(TOPDIR)/mk/package.mk
$(eval $(call PKG_template,COROSYNC,corosync,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
-CONFIGURE_ARGS+= --disable-nss
+XAKE_FLAGS+= GCC_HONOUR_COPTS=s
+TARGET_CPPFLAGS+= -I$(STAGING_DIR)/usr/include/nss \
+ -I$(STAGING_DIR)/usr/include/nspr
+TARGET_LDFLAGS+= -lssl3 -lsmime3 -lnss3 -lnssutil3
CONFIGURE_ENV+= ac_cv_func_fnmatch_works=yes
corosync-install:
@@ -31,8 +35,8 @@ corosync-install:
$(INSTALL_DIR) $(IDIR_COROSYNC)/usr/sbin
$(CP) $(WRKINST)/usr/sbin/* \
$(IDIR_COROSYNC)/usr/sbin
- $(INSTALL_DIR) $(IDIR_COROSYNC)/usr/libexec
- $(CP) $(WRKINST)/usr/libexec/* \
- $(IDIR_COROSYNC)/usr/libexec
+ $(INSTALL_DIR) $(IDIR_COROSYNC)/usr/bin
+ $(CP) $(WRKINST)/usr/bin/* \
+ $(IDIR_COROSYNC)/usr/bin
include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/corosync/patches/patch-Makefile_in b/package/corosync/patches/patch-Makefile_in
deleted file mode 100644
index 38cf13b7c..000000000
--- a/package/corosync/patches/patch-Makefile_in
+++ /dev/null
@@ -1,11 +0,0 @@
---- corosync-1.4.1.orig/Makefile.in 2011-07-26 10:13:38.000000000 +0200
-+++ corosync-1.4.1/Makefile.in 2011-10-12 06:02:03.291467847 +0200
-@@ -323,7 +323,7 @@ corosysconf_DATA = conf/corosync.conf.ex
- conf/corosync.conf.example.udpu
-
- SUBDIRS = include lcr lib exec services tools test pkgconfig \
-- man init conf
-+ init conf
-
- RPMBUILDOPTS = --define "_sourcedir $(abs_builddir)" \
- --define "_specdir $(abs_builddir)" \
diff --git a/package/corosync/patches/patch-common_lib_Makefile_in b/package/corosync/patches/patch-common_lib_Makefile_in
new file mode 100644
index 000000000..ec3eb70d7
--- /dev/null
+++ b/package/corosync/patches/patch-common_lib_Makefile_in
@@ -0,0 +1,16 @@
+--- corosync-2.0.1.orig/common_lib/Makefile.in 2012-05-22 08:52:57.000000000 +0200
++++ corosync-2.0.1/common_lib/Makefile.in 2012-08-01 10:17:04.000000000 +0200
+@@ -336,13 +336,6 @@ install-libLIBRARIES: $(lib_LIBRARIES)
+ $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
+ @$(POST_INSTALL)
+ @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
+- for p in $$list; do \
+- if test -f $$p; then \
+- $(am__strip_dir) \
+- echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
+- ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
+- else :; fi; \
+- done
+
+ uninstall-libLIBRARIES:
+ @$(NORMAL_UNINSTALL)
diff --git a/package/corosync/patches/patch-include_corosync_coroipc_ipc_h b/package/corosync/patches/patch-include_corosync_coroipc_ipc_h
deleted file mode 100644
index 82c9514b3..000000000
--- a/package/corosync/patches/patch-include_corosync_coroipc_ipc_h
+++ /dev/null
@@ -1,11 +0,0 @@
---- corosync-1.3.1.orig/include/corosync/coroipc_ipc.h 2011-04-25 04:37:30.000000000 +0200
-+++ corosync-1.3.1/include/corosync/coroipc_ipc.h 2011-06-26 18:49:29.245183024 +0200
-@@ -44,7 +44,7 @@
- * Darwin claims to support process shared synchronization
- * but it really does not. The unistd.h header file is wrong.
- */
--#if defined(COROSYNC_DARWIN) || defined(__UCLIBC__)
-+#if defined(COROSYNC_DARWIN)
- #undef _POSIX_THREAD_PROCESS_SHARED
- #define _POSIX_THREAD_PROCESS_SHARED -1
- #endif
diff --git a/package/corosync/patches/patch-tools_corosync-keygen_c b/package/corosync/patches/patch-tools_corosync-keygen_c
deleted file mode 100644
index eecf92026..000000000
--- a/package/corosync/patches/patch-tools_corosync-keygen_c
+++ /dev/null
@@ -1,26 +0,0 @@
---- corosync-1.4.1.orig/tools/corosync-keygen.c 2011-07-26 10:08:43.000000000 +0200
-+++ corosync-1.4.1/tools/corosync-keygen.c 2011-10-04 21:03:05.000000000 +0200
-@@ -65,11 +65,11 @@ int main (void) {
- }
- }
-
-- printf ("Gathering %lu bits for key from /dev/random.\n", (unsigned long)(sizeof (key) * 8));
-+ printf ("Gathering %lu bits for key from /dev/urandom.\n", (unsigned long)(sizeof (key) * 8));
- printf ("Press keys on your keyboard to generate entropy.\n");
-- random_fd = open ("/dev/random", O_RDONLY);
-+ random_fd = open ("/dev/urandom", O_RDONLY);
- if (random_fd == -1) {
-- perror ("Is /dev/random present? Opening /dev/random");
-+ perror ("Is /dev/urandom present? Opening /dev/urandom");
- exit (errno);
- }
-
-@@ -81,7 +81,7 @@ int main (void) {
- retry_read:
- res = read (random_fd, &key[bytes_read], sizeof (key) - bytes_read);
- if (res == -1) {
-- perror ("Could not read /dev/random");
-+ perror ("Could not read /dev/urandom");
- exit (errno);
- }
- bytes_read += res;
diff --git a/package/gettext/patches/patch-gettext-runtime_gnulib-lib_stdio_in_h b/package/gettext/patches/patch-gettext-runtime_gnulib-lib_stdio_in_h
new file mode 100644
index 000000000..eb5762069
--- /dev/null
+++ b/package/gettext/patches/patch-gettext-runtime_gnulib-lib_stdio_in_h
@@ -0,0 +1,10 @@
+--- gettext-0.18.1.1.orig/gettext-runtime/gnulib-lib/stdio.in.h 2010-05-17 21:56:12.000000000 +0200
++++ gettext-0.18.1.1/gettext-runtime/gnulib-lib/stdio.in.h 2012-07-31 11:28:12.000000000 +0200
+@@ -141,7 +141,6 @@ _GL_WARN_ON_USE (fflush, "fflush is not
+ so any use of gets warrants an unconditional warning. Assume it is
+ always declared, since it is required by C89. */
+ #undef gets
+-_GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
+
+ #if @GNULIB_FOPEN@
+ # if @REPLACE_FOPEN@
diff --git a/package/gettext/patches/patch-gettext-tools_gnulib-lib_stdio_in_h b/package/gettext/patches/patch-gettext-tools_gnulib-lib_stdio_in_h
new file mode 100644
index 000000000..5bcb9829d
--- /dev/null
+++ b/package/gettext/patches/patch-gettext-tools_gnulib-lib_stdio_in_h
@@ -0,0 +1,10 @@
+--- gettext-0.18.1.1.orig/gettext-tools/gnulib-lib/stdio.in.h 2010-05-24 11:42:46.000000000 +0200
++++ gettext-0.18.1.1/gettext-tools/gnulib-lib/stdio.in.h 2012-07-31 11:29:05.000000000 +0200
+@@ -141,7 +141,6 @@ _GL_WARN_ON_USE (fflush, "fflush is not
+ so any use of gets warrants an unconditional warning. Assume it is
+ always declared, since it is required by C89. */
+ #undef gets
+-_GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
+
+ #if @GNULIB_FOPEN@
+ # if @REPLACE_FOPEN@
diff --git a/package/gettext/patches/patch-gettext-tools_libgettextpo_stdio_in_h b/package/gettext/patches/patch-gettext-tools_libgettextpo_stdio_in_h
new file mode 100644
index 000000000..fd370202d
--- /dev/null
+++ b/package/gettext/patches/patch-gettext-tools_libgettextpo_stdio_in_h
@@ -0,0 +1,10 @@
+--- gettext-0.18.1.1.orig/gettext-tools/libgettextpo/stdio.in.h 2010-05-17 21:58:03.000000000 +0200
++++ gettext-0.18.1.1/gettext-tools/libgettextpo/stdio.in.h 2012-07-31 11:31:22.000000000 +0200
+@@ -141,7 +141,6 @@ _GL_WARN_ON_USE (fflush, "fflush is not
+ so any use of gets warrants an unconditional warning. Assume it is
+ always declared, since it is required by C89. */
+ #undef gets
+-_GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
+
+ #if @GNULIB_FOPEN@
+ # if @REPLACE_FOPEN@
diff --git a/package/libqb/Makefile b/package/libqb/Makefile
new file mode 100644
index 000000000..eafeea47b
--- /dev/null
+++ b/package/libqb/Makefile
@@ -0,0 +1,25 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:= libqb
+PKG_VERSION:= 0.14.1
+PKG_RELEASE:= 1
+PKG_MD5SUM:= c144a5e0cd5b69c8d46a051646609f11
+PKG_DESCR:= high performance client server reusable features
+PKG_SECTION:= libs
+PKG_URL:= https://github.com/asalkeld/libqb/wiki#wiki-Releases
+PKG_SITES:= https://fedorahosted.org/releases/q/u/quarterback/
+
+
+include $(TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,LIBQB,libqb,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+
+libqb-install:
+ $(INSTALL_DIR) $(IDIR_LIBQB)/usr/lib
+ $(CP) $(WRKINST)/usr/lib/libqb*so* \
+ $(IDIR_LIBQB)/usr/lib
+
+include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/nss/Makefile b/package/nss/Makefile
index ccef89c8a..1716dfa46 100644
--- a/package/nss/Makefile
+++ b/package/nss/Makefile
@@ -5,7 +5,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:= nss
PKG_VERSION:= 3.13.3
-PKG_RELEASE:= 1
+PKG_RELEASE:= 2
PKG_MAJ_VERSION:= 3
PKG_MIN_VERSION:= 13
PKG_PATCH_VERSION:= 3
@@ -13,6 +13,7 @@ PKG_MD5SUM:= 006cb82fa900e9e664b4b14a9b7810ca
PKG_DESCR:= Network Security Services (NSS) library
PKG_SECTION:= libs
PKG_BUILDDEP:= nspr zlib
+PKG_DEPENDS:= nspr
PKG_URL:= http://www.mozilla.org/projects/security/pki/nss/
PKG_SITES:= ftp://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_3_13_3_RTM/src/
PKG_NOPARALLEL:= 1
@@ -53,9 +54,12 @@ post-install:
${INSTALL_DIR} ${STAGING_TARGET_DIR}/usr/include/nss
${INSTALL_DATA} ${WRKDIST}/mozilla/dist/public/nss/* \
${STAGING_TARGET_DIR}/usr/include/nss
- # needed for firefox 4
+ # needed for firefox
${INSTALL_DIR} ${STAGING_TARGET_DIR}/usr/lib
$(INSTALL_DATA) ${WRKDIST}/dist/lib/libcrmf.a \
${STAGING_TARGET_DIR}/usr/lib
+ # needed for corosync
+ $(INSTALL_DIR) ${WRKINST}/usr/lib/pkgconfig
+ $(CP) ./files/nss.pc ${WRKINST}/usr/lib/pkgconfig
include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/nss/files/nss.pc b/package/nss/files/nss.pc
new file mode 100644
index 000000000..4350b73a9
--- /dev/null
+++ b/package/nss/files/nss.pc
@@ -0,0 +1,11 @@
+prefix=/usr
+exec_prefix=/usr/bin
+libdir=${prefix}/lib
+includedir=${prefix}/include/nss3
+
+Name: NSS
+Description: Network Security Services
+Version: 3.12.3
+Requires: sqlite3 nspr >= 4.8
+Libs: -L${libdir} -lssl3 -lsmime3 -lnss3 -lnssutil3
+Cflags: -I${includedir}
diff --git a/package/pacemaker/Makefile b/package/pacemaker/Makefile
index 8d528e655..356515011 100644
--- a/package/pacemaker/Makefile
+++ b/package/pacemaker/Makefile
@@ -6,12 +6,12 @@ include $(TOPDIR)/rules.mk
PKG_NAME:= pacemaker
PKG_VERSION:= 1.1.7
PKG_RELEASE:= 1
-PKG_MD5SUM:= 6f87e80f3c9782af5b4d184742c66a3a
+PKG_MD5SUM:= 818682b8d937e6c6a6e5f999528328a5
PKG_DESCR:= scalable High-Availability cluster resource manager
PKG_SECTION:= ha
-PKG_BUILDDEP:= resource-agents cluster-glue pam gnutls corosync
-PKG_DEPENDS:= python2 python2-readline python2-bzip2 cluster-glue
-PKG_DEPENDS+= bash resource-agents pam libgnutls glib libxslt libxml2
+PKG_BUILDDEP:= resource-agents cluster-glue pam gnutls corosync libtool
+PKG_DEPENDS:= python2 python2-readline python2-bzip2 cluster-glue libuuid
+PKG_DEPENDS+= bash resource-agents pam libgnutls glib libxslt libxml2 libltdl
PKG_URL:= http://www.clusterlabs.org/
PKG_SITES:= http://openadk.org/distfiles/
diff --git a/package/pacemaker/patches/patch-configure b/package/pacemaker/patches/patch-configure
index 320b06924..363b8595e 100644
--- a/package/pacemaker/patches/patch-configure
+++ b/package/pacemaker/patches/patch-configure
@@ -1,6 +1,6 @@
---- pacemaker-1.0.11.orig/configure 2011-05-24 17:00:37.000000000 +0200
-+++ pacemaker-1.0.11/configure 2011-10-07 12:41:11.000000000 +0200
-@@ -12484,7 +12484,7 @@ $as_echo_n "checking for $2 in $1... " >
+--- pacemaker-1.1.7.orig/configure 2012-07-31 13:24:43.000000000 +0200
++++ pacemaker-1.1.7/configure 2012-07-31 13:27:31.000000000 +0200
+@@ -12965,7 +12965,7 @@ $as_echo_n "checking for $2 in $1... " >
printf "#include <stdio.h>\n" > ${Cfile}.c
printf "#include <%s>\n" $1 >> ${Cfile}.c
printf "int main(int argc, char **argv) { printf(\"%%s\", %s); return 0; }\n" $2 >> ${Cfile}.c
@@ -9,7 +9,7 @@
value=`${Cfile}`
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $value" >&5
$as_echo "$value" >&6; }
-@@ -12660,7 +12660,7 @@ case $libdir in
+@@ -13208,7 +13208,7 @@ case $libdir in
*prefix*|NONE)
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking which lib directory to use" >&5
$as_echo_n "checking which lib directory to use... " >&6; }
@@ -18,7 +18,7 @@
do
trydir="${exec_prefix}/${aDir}"
if
-@@ -12713,33 +12713,11 @@ $as_echo "$as_me: WARNING: $j directory
+@@ -13261,33 +13261,11 @@ $as_echo "$as_me: WARNING: $j directory
done
@@ -49,11 +49,11 @@
-esac
-
-CFLAGS="$CFLAGS -I${prefix}/include/heartbeat"
-+CFLAGS="$CFLAGS -I@@STAGING_DIR@@/usr/include/heartbeat"
++CFLAGS="$CFLAGS -I/Volumes/adk/openadk/target_i686_eglibc/usr/include/heartbeat"
-
-@@ -17159,7 +17137,6 @@ else
+ { $as_echo "$as_me:${as_lineno-$LINENO}: Host CPU: $host_cpu" >&5
+@@ -18920,7 +18898,6 @@ else
# We had to eliminate -Wnested-externs because of libtool changes
EXTRA_FLAGS="-fgnu89-inline
diff --git a/package/pacemaker/patches/patch-mcp_pacemaker_h b/package/pacemaker/patches/patch-mcp_pacemaker_h
new file mode 100644
index 000000000..8848e6976
--- /dev/null
+++ b/package/pacemaker/patches/patch-mcp_pacemaker_h
@@ -0,0 +1,10 @@
+--- pacemaker-1.1.7.orig/mcp/pacemaker.h 2012-03-28 08:14:13.000000000 +0200
++++ pacemaker-1.1.7/mcp/pacemaker.h 2012-07-31 13:43:39.000000000 +0200
+@@ -21,6 +21,7 @@
+ #include <sys/param.h>
+ #include <sys/types.h>
+ #include <sys/wait.h>
++#include <sys/resource.h>
+
+ #include <stdint.h>
+
diff --git a/package/pam/patches/patch-modules_pam_succeed_if_pam_succeed_if_c b/package/pam/patches/patch-modules_pam_succeed_if_pam_succeed_if_c
index 5bb75c711..63f82cc4b 100644
--- a/package/pam/patches/patch-modules_pam_succeed_if_pam_succeed_if_c
+++ b/package/pam/patches/patch-modules_pam_succeed_if_pam_succeed_if_c
@@ -1,6 +1,6 @@
--- Linux-PAM-1.1.4.orig/modules/pam_succeed_if/pam_succeed_if.c 2011-06-21 11:04:56.000000000 +0200
-+++ Linux-PAM-1.1.4/modules/pam_succeed_if/pam_succeed_if.c 2011-10-12 14:36:33.843559001 +0200
-@@ -230,6 +230,7 @@ evaluate_notingroup(pam_handle_t *pamh,
++++ Linux-PAM-1.1.4/modules/pam_succeed_if/pam_succeed_if.c 2012-07-31 12:02:24.000000000 +0200
+@@ -230,6 +230,7 @@ evaluate_notingroup(pam_handle_t *pamh,
return PAM_AUTH_ERR;
}
/* Return PAM_SUCCESS if the (host,user) is in the netgroup. */
diff --git a/package/pam/patches/patch-modules_pam_time_pam_time_c b/package/pam/patches/patch-modules_pam_time_pam_time_c
index e57094beb..e44b2f489 100644
--- a/package/pam/patches/patch-modules_pam_time_pam_time_c
+++ b/package/pam/patches/patch-modules_pam_time_pam_time_c
@@ -1,6 +1,6 @@
--- Linux-PAM-1.1.4.orig/modules/pam_time/pam_time.c 2011-06-21 11:04:56.000000000 +0200
-+++ Linux-PAM-1.1.4/modules/pam_time/pam_time.c 2011-10-12 14:43:20.673559001 +0200
-@@ -555,7 +555,9 @@ check_account(pam_handle_t *pamh, const
++++ Linux-PAM-1.1.4/modules/pam_time/pam_time.c 2012-07-31 12:02:24.000000000 +0200
+@@ -555,7 +555,9 @@ check_account(pam_handle_t *pamh, const
}
/* If buffer starts with @, we are using netgroups */
if (buffer[0] == '@')
diff --git a/package/pam/patches/patch-modules_pam_timestamp_hmacfile b/package/pam/patches/patch-modules_pam_timestamp_hmacfile
index 6826e3493..5cc35d24e 100644
--- a/package/pam/patches/patch-modules_pam_timestamp_hmacfile
+++ b/package/pam/patches/patch-modules_pam_timestamp_hmacfile
@@ -1,5 +1,5 @@
--- Linux-PAM-1.1.4.orig/modules/pam_timestamp/hmacfile 2011-06-21 11:37:55.000000000 +0200
-+++ Linux-PAM-1.1.4/modules/pam_timestamp/hmacfile 2011-10-12 14:45:28.323559001 +0200
++++ Linux-PAM-1.1.4/modules/pam_timestamp/hmacfile 2012-07-31 12:03:27.000000000 +0200
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
@@ -11,7 +11,7 @@
# Sed substitution that helps us do robust quoting. It backslashifies
# metacharacters that are still active within double-quoted strings.
-Xsed='/bin/sed -e 1s/^X//'
-+Xsed='/home/wbx/adk/perf/scripts/sed -e 1s/^X//'
++Xsed='/Volumes/adk/openadk/scripts/sed -e 1s/^X//'
sed_quote_subst='s/\([`"$\\]\)/\\\1/g'
# Be Bourne compatible
@@ -20,14 +20,14 @@
(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
-relink_command=""
-+relink_command="(cd /home/wbx/adk/perf/build_pcengines-alix1c_i586_uclibc/w-pam-1.1.4-1/Linux-PAM-1.1.4/modules/pam_timestamp; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH || { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH || { COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX || { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH || { LD_RUN_PATH=; export LD_RUN_PATH; }; }; { test -z \"\${LD_LIBRARY_PATH+set}\" || unset LD_LIBRARY_PATH || { LD_LIBRARY_PATH=; export LD_LIBRARY_PATH; }; }; PATH=/home/wbx/adk/perf/scripts:/home/wbx/adk/perf/bin/tools:/home/wbx/adk/perf/host_i586_uclibc/bin:/home/wbx/adk/perf/host_i586_uclibc/usr/bin:/home/wbx/adk/perf/target_i586_uclibc/scripts:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games; export PATH; /home/wbx/adk/perf/host_i586_uclibc/bin/i586-openadk-linux-uclibc-gcc -I../../libpam/include -I../../libpamc/include -march=geode -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/adk/perf/target_i586_uclibc/usr/lib -Wl,--as-needed -Wl,--no-undefined -Wl,-O1 -o \$progdir/\$file hmacfile.o hmacsha1.o sha1.o -L/home/wbx/adk/perf/target_i586_uclibc/lib -L/home/wbx/adk/perf/target_i586_uclibc/usr/lib -L/home/wbx/adk/perf/build_pcengines-alix1c_i586_uclibc/w-pam-1.1.4-1/Linux-PAM-1.1.4/libpam /home/wbx/adk/perf/build_pcengines-alix1c_i586_uclibc/w-pam-1.1.4-1/Linux-PAM-1.1.4/libpam/.libs/libpam.so -ldl -Wl,-rpath -Wl,/home/wbx/adk/perf/build_pcengines-alix1c_i586_uclibc/w-pam-1.1.4-1/Linux-PAM-1.1.4/libpam/.libs -Wl,-rpath -Wl,/lib64)"
++relink_command="(cd /Volumes/adk/openadk/build_qemu_i686_eglibc/w-pam-1.1.4-2/Linux-PAM-1.1.4/modules/pam_timestamp; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH || { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH || { COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX || { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH || { LD_RUN_PATH=; export LD_RUN_PATH; }; }; { test -z \"\${LD_LIBRARY_PATH+set}\" || unset LD_LIBRARY_PATH || { LD_LIBRARY_PATH=; export LD_LIBRARY_PATH; }; }; PATH=/Volumes/adk/openadk/scripts:/Volumes/adk/openadk/bin/tools:/Volumes/adk/openadk/host_i686_eglibc/bin:/Volumes/adk/openadk/host_i686_eglibc/usr/bin:/Volumes/adk/openadk/target_i686_eglibc/scripts:/opt/local/bin:/opt/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/MacGPG2/bin:/usr/X11/bin; export PATH; /Volumes/adk/openadk/host_i686_eglibc/bin/i686-openadk-linux-gnu-gcc -I../../libpam/include -I../../libpamc/include -march=i686 -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wmissing-declarations -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wstrict-prototypes -Wwrite-strings -Winline -Wshadow -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_i686_eglibc/usr/lib -Wl,--as-needed -Wl,--no-undefined -Wl,-O1 -o \$progdir/\$file hmacfile.o hmacsha1.o sha1.o -L/Volumes/adk/openadk/target_i686_eglibc/lib -L/Volumes/adk/openadk/target_i686_eglibc/usr/lib -L/Volumes/adk/openadk/build_qemu_i686_eglibc/w-pam-1.1.4-2/Linux-PAM-1.1.4/libpam /Volumes/adk/openadk/build_qemu_i686_eglibc/w-pam-1.1.4-2/Linux-PAM-1.1.4/libpam/.libs/libpam.so -ldl -Wl,-rpath -Wl,/Volumes/adk/openadk/build_qemu_i686_eglibc/w-pam-1.1.4-2/Linux-PAM-1.1.4/libpam/.libs)"
# This environment variable determines our operation mode.
if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
# install mode needs the following variables:
generated_by_libtool_version='2.2.6'
- notinst_deplibs=' /data/git/Linux-PAM/libpam/libpam.la'
-+ notinst_deplibs=' /home/wbx/adk/perf/build_pcengines-alix1c_i586_uclibc/w-pam-1.1.4-1/Linux-PAM-1.1.4/libpam/libpam.la'
++ notinst_deplibs=' /Volumes/adk/openadk/build_qemu_i686_eglibc/w-pam-1.1.4-2/Linux-PAM-1.1.4/libpam/libpam.la'
else
# When we are sourced in execute mode, $file and $ECHO are already set.
if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
@@ -45,7 +45,7 @@
# Follow symbolic links until we get to the real thisdir.
- file=`ls -ld "$file" | /bin/sed -n 's/.*-> //p'`
-+ file=`ls -ld "$file" | /home/wbx/adk/perf/scripts/sed -n 's/.*-> //p'`
++ file=`ls -ld "$file" | /Volumes/adk/openadk/scripts/sed -n 's/.*-> //p'`
while test -n "$file"; do
destdir=`$ECHO "X$file" | $Xsed -e 's%/[^/]*$%%'`
@@ -54,7 +54,7 @@
file=`$ECHO "X$file" | $Xsed -e 's%^.*/%%'`
- file=`ls -ld "$thisdir/$file" | /bin/sed -n 's/.*-> //p'`
-+ file=`ls -ld "$thisdir/$file" | /home/wbx/adk/perf/scripts/sed -n 's/.*-> //p'`
++ file=`ls -ld "$thisdir/$file" | /Volumes/adk/openadk/scripts/sed -n 's/.*-> //p'`
done
@@ -67,7 +67,7 @@
progdir="$thisdir/.libs"
+ if test ! -f "$progdir/$program" ||
-+ { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /home/wbx/adk/perf/scripts/sed 1q`; \
++ { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /Volumes/adk/openadk/scripts/sed 1q`; \
+ test "X$file" != "X$progdir/$program"; }; then
- if test -f "$progdir/$program"; then
diff --git a/package/pam/patches/patch-modules_pam_unix_pam_unix_acct_c b/package/pam/patches/patch-modules_pam_unix_pam_unix_acct_c
new file mode 100644
index 000000000..2ce448f1a
--- /dev/null
+++ b/package/pam/patches/patch-modules_pam_unix_pam_unix_acct_c
@@ -0,0 +1,10 @@
+--- Linux-PAM-1.1.4.orig/modules/pam_unix/pam_unix_acct.c 2011-06-21 11:04:56.000000000 +0200
++++ Linux-PAM-1.1.4/modules/pam_unix/pam_unix_acct.c 2012-07-31 13:08:58.000000000 +0200
+@@ -47,6 +47,7 @@
+ #include <time.h> /* for time() */
+ #include <errno.h>
+ #include <sys/wait.h>
++#include <sys/resource.h>
+
+ #include <security/_pam_macros.h>
+
diff --git a/toolchain/glibc-ports/Makefile.inc b/toolchain/glibc-ports/Makefile.inc
index c799a7dfe..1fdbabf68 100644
--- a/toolchain/glibc-ports/Makefile.inc
+++ b/toolchain/glibc-ports/Makefile.inc
@@ -2,7 +2,7 @@
# material, please see the LICENCE file in the top-level directory.
PKG_NAME:= glibc-ports
-PKG_VERSION:= 2.14.1
+PKG_VERSION:= 2.16.0
PKG_RELEASE:= 1
-PKG_MD5SUM:= 2aa77ef5dd15df1d1d6dadd4e158ae33
+PKG_MD5SUM:= 20c689888d89f9c11dd7f91b48ca4f69
PKG_SITES:= ${MASTER_SITE_GNU:=glibc/}
diff --git a/toolchain/glibc-ports/patches/mips.patch b/toolchain/glibc-ports/patches/mips.patch
index 2176a0a7e..9afdff418 100644
--- a/toolchain/glibc-ports/patches/mips.patch
+++ b/toolchain/glibc-ports/patches/mips.patch
@@ -1,6 +1,6 @@
-diff -Nur glibc-ports-2.11.orig/sysdeps/mips/mips32/Makefile glibc-ports-2.11/sysdeps/mips/mips32/Makefile
---- glibc-ports-2.11.orig/sysdeps/mips/mips32/Makefile 2009-11-15 21:53:20.000000000 +0100
-+++ glibc-ports-2.11/sysdeps/mips/mips32/Makefile 2010-02-25 05:06:53.093359450 +0100
+diff -Nur glibc-ports-2.16.0.orig/sysdeps/mips/mips32/Makefile glibc-ports-2.16.0/sysdeps/mips/mips32/Makefile
+--- glibc-ports-2.16.0.orig/sysdeps/mips/mips32/Makefile 2012-06-21 19:08:19.000000000 +0200
++++ glibc-ports-2.16.0/sysdeps/mips/mips32/Makefile 2012-08-01 17:45:07.000000000 +0200
@@ -1,3 +1,3 @@
-ifeq ($(filter -mabi=32,$(CC)),)
-CC += -mabi=32
@@ -8,25 +8,9 @@ diff -Nur glibc-ports-2.11.orig/sysdeps/mips/mips32/Makefile glibc-ports-2.11/sy
+#ifeq ($(filter -mabi=32,$(CC)),)
+#CC += -mabi=32
+#endif
-diff -Nur glibc-ports-2.11.orig/sysdeps/mips/nptl/tls.h glibc-ports-2.11/sysdeps/mips/nptl/tls.h
---- glibc-ports-2.11.orig/sysdeps/mips/nptl/tls.h 2009-11-15 21:53:20.000000000 +0100
-+++ glibc-ports-2.11/sysdeps/mips/nptl/tls.h 2010-02-25 19:16:31.338162548 +0100
-@@ -55,12 +55,6 @@
- .set pop
- #endif /* __ASSEMBLER__ */
-
--
--/* We require TLS support in the tools. */
--#ifndef HAVE_TLS_SUPPORT
--# error "TLS support is required."
--#endif
--
- /* Signal that TLS support is available. */
- #define USE_TLS 1
-
-diff -Nur glibc-ports-2.11.orig/sysdeps/mips/preconfigure glibc-ports-2.11/sysdeps/mips/preconfigure
---- glibc-ports-2.11.orig/sysdeps/mips/preconfigure 2009-11-15 21:53:20.000000000 +0100
-+++ glibc-ports-2.11/sysdeps/mips/preconfigure 2010-02-25 05:07:40.565358364 +0100
+diff -Nur glibc-ports-2.16.0.orig/sysdeps/mips/preconfigure glibc-ports-2.16.0/sysdeps/mips/preconfigure
+--- glibc-ports-2.16.0.orig/sysdeps/mips/preconfigure 2012-06-21 19:08:19.000000000 +0200
++++ glibc-ports-2.16.0/sysdeps/mips/preconfigure 2012-08-01 17:45:07.000000000 +0200
@@ -19,11 +19,6 @@
32) machine=mips/mips32/kern64 ;;
esac